Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.xml.rpc
Class Type

    java.lang.Object
      |
      +--javax.microedition.xml.rpc.Type

Direct Known Subclasses:
  ComplexType, Element

public class Type
extends java.lang.Object

The class `Type` is a type safe enumeration of allowable types that are used to identify simple types defined in a Web Service's WSDL definition. The set of simple types are:

- boolean
- byte
- short
- int
- long
- float
- double
- string

See Also:
  `Stub`, `Operation`

Field Summary
`static Type` | `BOOLEAN` Type constant identifying boolean parameters.
`static Type` | `BYTE` Type constant identifying byte parameters.
`static Type` | `DOUBLE` Type constant identifying double parameters.
`static Type` | `FLOAT` Type constant identifying float parameters.
`static Type` | `INT` Type constant identifying integer parameters.
`static Type` | `LONG` Type constant identifying long parameters.
`static Type` | `SHORT` Type constant identifying short parameters.
`static Type` | `STRING` Type constant identifying String parameters.
`int` | `value` The internal integer "value" of this Type, [0-9].

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOLEAN

    public static final Type BOOLEAN

  Type constant identifying boolean parameters. Given the integer value '0'.

### BYTE

    public static final Type BYTE

  Type constant identifying byte parameters. Given the integer value '1'.

### SHORT

    public static final Type SHORT

  Type constant identifying short parameters. Given the integer value '2'.

### INT

    public static final Type INT

  Type constant identifying integer parameters. Given the integer value '3'.

### LONG

    public static final Type LONG

  Type constant identifying long parameters. Given the integer value '4'.

### FLOAT

    public static final Type FLOAT

  Type constant identifying float parameters. Given the integer value '5'.

### DOUBLE

    public static final Type DOUBLE

  Type constant identifying double parameters. Given the integer value '6'.

### STRING

    public static final Type STRING

  Type constant identifying String parameters. Given the integer value '7'.

### value

    public final int value

  The internal integer "value" of this Type, [0-9].

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 1.0 of J2ME Web Services Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved. Use is subject to license terms.